/*
  Virtual pixel
 
 An example of using the Arduino board to send data to the computer.  
 In this case, the Arduino performs an infinite loop where it sends 
 the character 'H', delays, sends a charater 'L' and delays
 
 If data is received it is interpreted as being an integer controlling 
 a servo's position
 
 Created March 2013
 by Peter Peters
 */

#include <Servo.h> 

Servo myservo;  // create servo object to control a servo 
// a maximum of eight servo objects can be created 

int pos = 0;    // variable to store the servo position 

void setup() {
  myservo.attach(6);  // attaches the servo on pin 9 to the servo object 
  // initialize serial communication:
  Serial.begin(38400);
  myservo.write(0);
  myservo.write(160);
}

void loop() {
  // send data to processing
  Serial.print('H');
  // wait
  delay(500);
  // send data to processing
  Serial.print('L');
  // wait
  delay(500);  
}

void serialEvent() {
  while (Serial.available() > 0) {
    // get the new byte:
    int pos = Serial.read() % 180; 
    myservo.write(pos);
  }
}

