// Demonstrates how to receive data from the Arduino board, in order to 
// turn on and off a virtual pixel
// 
// Created March 2013
// by Peter Peters

import processing.net.*; 

int boxSize = 20;
Client myClient;   

void setup() {
  size(200, 200);
  // Connect to the host machine at port 4321.
  myClient = new Client(this, "127.0.0.1", 4321);

}

void draw() 
{ 
  if (myClient.available() > 0) {
    background(0);
    int ch = myClient.read();
    print(ch); print(' ');
    if (ch == 'H') drawCenteredBox(color(255, 0, 0));
    if (ch == 'L') drawCenteredBox(color(255, 255, 255));
  }
}

void drawCenteredBox(color col) {
  fill(col);
  rect((width/2)-(boxSize/2), (height/2)-(boxSize/2), 
  (boxSize), boxSize);
}

